<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::sensor::V4LCamera Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1sensor_1_1_v4_l_camera.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classflair_1_1sensor_1_1_v4_l_camera-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::sensor::V4LCamera Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for V4l camera.  
 <a href="classflair_1_1sensor_1_1_v4_l_camera.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_v4_l_camera_8h_source.html">V4LCamera.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::sensor::V4LCamera:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1sensor_1_1_v4_l_camera.png" usemap="#flair::sensor::V4LCamera_map" alt=""/>
  <map id="flair::sensor::V4LCamera_map" name="flair::sensor::V4LCamera_map">
<area href="classflair_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="flair::core::Thread" shape="rect" coords="0,112,151,136"/>
<area href="classflair_1_1sensor_1_1_camera.html" title="Base class for Camera. " alt="flair::sensor::Camera" shape="rect" coords="161,112,312,136"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,56,151,80"/>
<area href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="flair::core::IODevice" shape="rect" coords="161,56,312,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="161,0,312,24"/>
<area href="classflair_1_1sensor_1_1_ps3_eye.html" title="Class for Ps3Eye camera. " alt="flair::sensor::Ps3Eye" shape="rect" coords="80,224,231,248"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ace224e60461a7c78ff7a7f16e43eaad3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#ace224e60461a7c78ff7a7f16e43eaad3">V4LCamera</a> (std::string name, uint8_t camera_index, uint16_t width, uint16_t height, <a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">core::cvimage::Type::Format</a> format, uint8_t priority)</td></tr>
<tr class="memdesc:ace224e60461a7c78ff7a7f16e43eaad3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ace224e60461a7c78ff7a7f16e43eaad3">More...</a><br /></td></tr>
<tr class="separator:ace224e60461a7c78ff7a7f16e43eaad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17dd62aecb525f68c0cfb4ae6e4d372a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a17dd62aecb525f68c0cfb4ae6e4d372a">~V4LCamera</a> ()</td></tr>
<tr class="memdesc:a17dd62aecb525f68c0cfb4ae6e4d372a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a17dd62aecb525f68c0cfb4ae6e4d372a">More...</a><br /></td></tr>
<tr class="separator:a17dd62aecb525f68c0cfb4ae6e4d372a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af87fe86ad1f641d308492b8ba7d98f94"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af87fe86ad1f641d308492b8ba7d98f94"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasProblems</b> (void)</td></tr>
<tr class="separator:af87fe86ad1f641d308492b8ba7d98f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td></tr>
<tr class="memitem:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">Thread</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, uint8_t priority, uint32_t stackSize=1024 *128)</td></tr>
<tr class="memdesc:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adecd2fabe36298c43267557e7f016deb">More...</a><br /></td></tr>
<tr class="separator:adecd2fabe36298c43267557e7f016deb inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a39ede97ff3addeaf48ecec09c6625655">~Thread</a> ()</td></tr>
<tr class="memdesc:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a39ede97ff3addeaf48ecec09c6625655">More...</a><br /></td></tr>
<tr class="separator:a39ede97ff3addeaf48ecec09c6625655 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a5a4f0f27689ae4292f81bf45e22998a5">Start</a> (void)</td></tr>
<tr class="memdesc:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#a5a4f0f27689ae4292f81bf45e22998a5">More...</a><br /></td></tr>
<tr class="separator:a5a4f0f27689ae4292f81bf45e22998a5 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#afa1fb0f8d5b18273394502159dd5dcef">SafeStop</a> (void)</td></tr>
<tr class="memdesc:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#afa1fb0f8d5b18273394502159dd5dcef">More...</a><br /></td></tr>
<tr class="separator:afa1fb0f8d5b18273394502159dd5dcef inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">ToBeStopped</a> (void) const </td></tr>
<tr class="memdesc:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#afcbb4a445fe287b8608b173bdc10f056">More...</a><br /></td></tr>
<tr class="separator:afcbb4a445fe287b8608b173bdc10f056 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#aba8b31e2e4c1beccb31333beb8bd41a4">Join</a> (void)</td></tr>
<tr class="memdesc:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#aba8b31e2e4c1beccb31333beb8bd41a4">More...</a><br /></td></tr>
<tr class="separator:aba8b31e2e4c1beccb31333beb8bd41a4 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a581ae3bdecef47c916671a6aafec9509">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a581ae3bdecef47c916671a6aafec9509">More...</a><br /></td></tr>
<tr class="separator:a581ae3bdecef47c916671a6aafec9509 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab58a00466581b6cf88ba28b8e2118c65 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab58a00466581b6cf88ba28b8e2118c65"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodUS</b> () const </td></tr>
<tr class="separator:ab58a00466581b6cf88ba28b8e2118c65 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a37d13f12283d69ebd092a7cc01a7d742">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a37d13f12283d69ebd092a7cc01a7d742">More...</a><br /></td></tr>
<tr class="separator:a37d13f12283d69ebd092a7cc01a7d742 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa77472d57848bed10204ee5ec1d75a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afaa77472d57848bed10204ee5ec1d75a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodMS</b> () const </td></tr>
<tr class="separator:afaa77472d57848bed10204ee5ec1d75a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#af892a1b3025cb842cad8e7f2a11a9526">IsPeriodSet</a> (void)</td></tr>
<tr class="memdesc:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns if period was set.  <a href="#af892a1b3025cb842cad8e7f2a11a9526">More...</a><br /></td></tr>
<tr class="separator:af892a1b3025cb842cad8e7f2a11a9526 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a50cd2ea88d538e10a30c3e6a5286a944">WaitPeriod</a> (void) const </td></tr>
<tr class="memdesc:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a50cd2ea88d538e10a30c3e6a5286a944">More...</a><br /></td></tr>
<tr class="separator:a50cd2ea88d538e10a30c3e6a5286a944 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a2b5b5f3cf400729419bd864b654af252">WaitUpdate</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a2b5b5f3cf400729419bd864b654af252">More...</a><br /></td></tr>
<tr class="separator:a2b5b5f3cf400729419bd864b654af252 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b">Suspend</a> (void)</td></tr>
<tr class="memdesc:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread.  <a href="#a0e5fc8919ed6042e5736a5dca5ba546b">More...</a><br /></td></tr>
<tr class="separator:a0e5fc8919ed6042e5736a5dca5ba546b inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#af93c2461c31a6c16958bc44189ab4253">SuspendUntil</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> date)</td></tr>
<tr class="memdesc:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread with timeout.  <a href="#af93c2461c31a6c16958bc44189ab4253">More...</a><br /></td></tr>
<tr class="separator:af93c2461c31a6c16958bc44189ab4253 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580">Resume</a> (void)</td></tr>
<tr class="memdesc:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#ae7c46910a801f1b16302570ad8ae9580">More...</a><br /></td></tr>
<tr class="separator:ae7c46910a801f1b16302570ad8ae9580 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a">IsSuspended</a> (void) const </td></tr>
<tr class="memdesc:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#adac9a6d336bdb50bcfa24c66943a355a">More...</a><br /></td></tr>
<tr class="separator:adac9a6d336bdb50bcfa24c66943a355a inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c">IsRunning</a> (void) const </td></tr>
<tr class="memdesc:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread running?  <a href="#a2a82d0ade1418111c2a4e7d0e133696c">More...</a><br /></td></tr>
<tr class="separator:a2a82d0ade1418111c2a4e7d0e133696c inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011">SleepUntil</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time) const </td></tr>
<tr class="memdesc:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#ac09a2d745af3dbb42371949d4c622011">More...</a><br /></td></tr>
<tr class="separator:ac09a2d745af3dbb42371949d4c622011 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6">SleepUS</a> (uint32_t time_us) const </td></tr>
<tr class="memdesc:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a certain time in micro second.  <a href="#a3479727dfaf2213f7866fccadb43eeb6">More...</a><br /></td></tr>
<tr class="separator:a3479727dfaf2213f7866fccadb43eeb6 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a501e7802d7edd7e6167d111c803b8349">SleepMS</a> (uint32_t time_ms) const </td></tr>
<tr class="memdesc:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a501e7802d7edd7e6167d111c803b8349">More...</a><br /></td></tr>
<tr class="separator:a501e7802d7edd7e6167d111c803b8349 inherit pub_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1sensor_1_1_camera"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1sensor_1_1_camera')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></td></tr>
<tr class="memitem:ab457977303cb9158d67d65da014aaab4 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4">Camera</a> (std::string name, uint16_t width, uint16_t height, <a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">core::cvimage::Type::Format</a> format)</td></tr>
<tr class="memdesc:ab457977303cb9158d67d65da014aaab4 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab457977303cb9158d67d65da014aaab4">More...</a><br /></td></tr>
<tr class="separator:ab457977303cb9158d67d65da014aaab4 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dbddbcfb399c7dae0de7b455a3b9d90 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90">Camera</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a2dbddbcfb399c7dae0de7b455a3b9d90 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2dbddbcfb399c7dae0de7b455a3b9d90">More...</a><br /></td></tr>
<tr class="separator:a2dbddbcfb399c7dae0de7b455a3b9d90 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad64596dd00415cfcecfa3589ddfdeaac inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ad64596dd00415cfcecfa3589ddfdeaac">~Camera</a> ()</td></tr>
<tr class="memdesc:ad64596dd00415cfcecfa3589ddfdeaac inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ad64596dd00415cfcecfa3589ddfdeaac">More...</a><br /></td></tr>
<tr class="separator:ad64596dd00415cfcecfa3589ddfdeaac inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace75da2070757c34ea5fa2b1b987d8cd inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ace75da2070757c34ea5fa2b1b987d8cd">UseDefaultPlot</a> (const <a class="el" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *image)</td></tr>
<tr class="memdesc:ace75da2070757c34ea5fa2b1b987d8cd inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#ace75da2070757c34ea5fa2b1b987d8cd">More...</a><br /></td></tr>
<tr class="separator:ace75da2070757c34ea5fa2b1b987d8cd inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684b76e97ad410052d04da65a39eaf1d inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_grid_layout.html">gui::GridLayout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a684b76e97ad410052d04da65a39eaf1d">GetLayout</a> (void) const </td></tr>
<tr class="memdesc:a684b76e97ad410052d04da65a39eaf1d inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">get Layout  <a href="#a684b76e97ad410052d04da65a39eaf1d">More...</a><br /></td></tr>
<tr class="separator:a684b76e97ad410052d04da65a39eaf1d inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78b1839d9367d8df8e87a70460c1f228 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228">GetPlotTab</a> (void) const </td></tr>
<tr class="memdesc:a78b1839d9367d8df8e87a70460c1f228 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">plot tab  <a href="#a78b1839d9367d8df8e87a70460c1f228">More...</a><br /></td></tr>
<tr class="separator:a78b1839d9367d8df8e87a70460c1f228 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c8759d51a00ada2c069b51c34d17653 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a2c8759d51a00ada2c069b51c34d17653">SaveRawPictureToFile</a> (std::string filename) const </td></tr>
<tr class="memdesc:a2c8759d51a00ada2c069b51c34d17653 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save raw picture to file.  <a href="#a2c8759d51a00ada2c069b51c34d17653">More...</a><br /></td></tr>
<tr class="separator:a2c8759d51a00ada2c069b51c34d17653 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f458342696953d923ee40efbc6a3e0e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a4f458342696953d923ee40efbc6a3e0e">SavePictureToFile</a> (std::string filename=&quot;&quot;) const </td></tr>
<tr class="memdesc:a4f458342696953d923ee40efbc6a3e0e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save picture to file.  <a href="#a4f458342696953d923ee40efbc6a3e0e">More...</a><br /></td></tr>
<tr class="separator:a4f458342696953d923ee40efbc6a3e0e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac812dd64ee47c9241dd83e37948fbc63 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ac812dd64ee47c9241dd83e37948fbc63">Width</a> (void) const </td></tr>
<tr class="memdesc:ac812dd64ee47c9241dd83e37948fbc63 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Width.  <a href="#ac812dd64ee47c9241dd83e37948fbc63">More...</a><br /></td></tr>
<tr class="separator:ac812dd64ee47c9241dd83e37948fbc63 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41eea06fcb5539cfeaabc544b9bf6c56 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a41eea06fcb5539cfeaabc544b9bf6c56">Height</a> (void) const </td></tr>
<tr class="memdesc:a41eea06fcb5539cfeaabc544b9bf6c56 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Height.  <a href="#a41eea06fcb5539cfeaabc544b9bf6c56">More...</a><br /></td></tr>
<tr class="separator:a41eea06fcb5539cfeaabc544b9bf6c56 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc0cfac6604d60add2af054ea6e2afc inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc">Output</a> (void)</td></tr>
<tr class="memdesc:a5fc0cfac6604d60add2af054ea6e2afc inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Output matrix.  <a href="#a5fc0cfac6604d60add2af054ea6e2afc">More...</a><br /></td></tr>
<tr class="separator:a5fc0cfac6604d60add2af054ea6e2afc inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab03cb2d9704584c179823201c1098b88 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab03cb2d9704584c179823201c1098b88"></a>
<a class="el" href="classflair_1_1core_1_1_data_type.html">core::DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:ab03cb2d9704584c179823201c1098b88 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8dd85868d1d300f29022acf4ed752e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e">SetLogFormat</a> (<a class="el" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">LogFormat</a> logFormat)</td></tr>
<tr class="memdesc:a5a8dd85868d1d300f29022acf4ed752e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set log format.  <a href="#a5a8dd85868d1d300f29022acf4ed752e">More...</a><br /></td></tr>
<tr class="separator:a5a8dd85868d1d300f29022acf4ed752e inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a668031aa8648f38eb980e51f641619c4 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a668031aa8648f38eb980e51f641619c4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessUpdate</b> (<a class="el" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data)</td></tr>
<tr class="separator:a668031aa8648f38eb980e51f641619c4 inherit pub_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9693b497752b466891eaafeb34bec4d3">More...</a><br /></td></tr>
<tr class="separator:a9693b497752b466891eaafeb34bec4d3 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a> ()</td></tr>
<tr class="memdesc:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a05246988b486def40926d8491e1bcc5f">More...</a><br /></td></tr>
<tr class="separator:a05246988b486def40926d8491e1bcc5f inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a> (const <a class="el" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#af7b42de6bb3893df860063228b55c229">More...</a><br /></td></tr>
<tr class="separator:af7b42de6bb3893df860063228b55c229 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a> (const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a2e0b7af75abdbf39843d8bf2e45f08b9">More...</a><br /></td></tr>
<tr class="separator:a2e0b7af75abdbf39843d8bf2e45f08b9 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a12d811c6926fb86da6b47f889109da66">More...</a><br /></td></tr>
<tr class="separator:a12d811c6926fb86da6b47f889109da66 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a> (void) const </td></tr>
<tr class="memdesc:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">is device ready  <a href="#aee7828ae2eece2bace8e476dacc2bc12">More...</a><br /></td></tr>
<tr class="separator:aee7828ae2eece2bace8e476dacc2bc12 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75e82ca2ae2fb7c39d973dd3d16bc698"></a>
virtual <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a75e82ca2ae2fb7c39d973dd3d16bc698 inherit pub_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a29862113a1cf3095a15e8f86e28c4a9e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e">SetGain</a> (float value)</td></tr>
<tr class="memdesc:a29862113a1cf3095a15e8f86e28c4a9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Gain.  <a href="#a29862113a1cf3095a15e8f86e28c4a9e">More...</a><br /></td></tr>
<tr class="separator:a29862113a1cf3095a15e8f86e28c4a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bd963d24efcd05a905cc801af8b91ae"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae">SetAutoGain</a> (bool value)</td></tr>
<tr class="memdesc:a6bd963d24efcd05a905cc801af8b91ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Auto Gain.  <a href="#a6bd963d24efcd05a905cc801af8b91ae">More...</a><br /></td></tr>
<tr class="separator:a6bd963d24efcd05a905cc801af8b91ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cd0d589400e91a267e736577455a03f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a0cd0d589400e91a267e736577455a03f">SetExposure</a> (float value)</td></tr>
<tr class="memdesc:a0cd0d589400e91a267e736577455a03f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Exposure.  <a href="#a0cd0d589400e91a267e736577455a03f">More...</a><br /></td></tr>
<tr class="separator:a0cd0d589400e91a267e736577455a03f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f98212da6124f4da644880fc0f6239a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a">SetAutoExposure</a> (bool value)</td></tr>
<tr class="memdesc:a1f98212da6124f4da644880fc0f6239a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Auto Exposure.  <a href="#a1f98212da6124f4da644880fc0f6239a">More...</a><br /></td></tr>
<tr class="separator:a1f98212da6124f4da644880fc0f6239a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2108dc32fd988eb33bf8a28e1c5a843"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843">SetBrightness</a> (float value)</td></tr>
<tr class="memdesc:af2108dc32fd988eb33bf8a28e1c5a843"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Brightness.  <a href="#af2108dc32fd988eb33bf8a28e1c5a843">More...</a><br /></td></tr>
<tr class="separator:af2108dc32fd988eb33bf8a28e1c5a843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91421cc842452513bae3ef4530043d69"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69">SetSaturation</a> (float value)</td></tr>
<tr class="memdesc:a91421cc842452513bae3ef4530043d69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Saturation.  <a href="#a91421cc842452513bae3ef4530043d69">More...</a><br /></td></tr>
<tr class="separator:a91421cc842452513bae3ef4530043d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d8f738b2c011fb07a8b810358563613"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613">SetHue</a> (float value)</td></tr>
<tr class="memdesc:a7d8f738b2c011fb07a8b810358563613"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Hue.  <a href="#a7d8f738b2c011fb07a8b810358563613">More...</a><br /></td></tr>
<tr class="separator:a7d8f738b2c011fb07a8b810358563613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add3527b969ba1fb04f6852538627a087"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087">SetContrast</a> (float value)</td></tr>
<tr class="memdesc:add3527b969ba1fb04f6852538627a087"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Contrast.  <a href="#add3527b969ba1fb04f6852538627a087">More...</a><br /></td></tr>
<tr class="separator:add3527b969ba1fb04f6852538627a087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1sensor_1_1_camera"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1sensor_1_1_camera')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></td></tr>
<tr class="memitem:ab23554ab7709e2069c7bbd298af82cca inherit pro_methods_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca">GetGroupBox</a> (void) const </td></tr>
<tr class="memdesc:ab23554ab7709e2069c7bbd298af82cca inherit pro_methods_classflair_1_1sensor_1_1_camera"><td class="mdescLeft">&#160;</td><td class="mdescRight">get GroupBox  <a href="#ab23554ab7709e2069c7bbd298af82cca">More...</a><br /></td></tr>
<tr class="separator:ab23554ab7709e2069c7bbd298af82cca inherit pro_methods_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td></tr>
<tr class="memitem:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a> (<a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classflair_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a3df9057ae23eb34f1b1dae8e7a4a9efc">More...</a><br /></td></tr>
<tr class="separator:a3df9057ae23eb34f1b1dae8e7a4a9efc inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a> (bool status)</td></tr>
<tr class="memdesc:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">set is ready  <a href="#a120fdcc3d50f6f076084cb6943fdf412">More...</a><br /></td></tr>
<tr class="separator:a120fdcc3d50f6f076084cb6943fdf412 inherit pro_methods_classflair_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classflair_1_1sensor_1_1_camera"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1sensor_1_1_camera')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></td></tr>
<tr class="memitem:ac6f4c3e58d2822bba71da604544e63b5 inherit pub_types_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">LogFormat</a> { <a class="el" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693">LogFormat::NONE</a>, 
<a class="el" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059">LogFormat::RAW</a>, 
<a class="el" href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928">LogFormat::JPG</a>
 }</td></tr>
<tr class="memdesc:ac6f4c3e58d2822bba71da604544e63b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">log formats  <a href="classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5">More...</a><br /></td></tr>
<tr class="separator:ac6f4c3e58d2822bba71da604544e63b5 inherit pub_types_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classflair_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classflair_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_thread.html">flair::core::Thread</a></td></tr>
<tr class="memitem:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_thread.html#a7fbf5ad201e7e802f0fa127891849dc9">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a7fbf5ad201e7e802f0fa127891849dc9">More...</a><br /></td></tr>
<tr class="separator:a7fbf5ad201e7e802f0fa127891849dc9 inherit pub_static_methods_classflair_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1sensor_1_1_camera"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1sensor_1_1_camera')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></td></tr>
<tr class="memitem:ae20e6de6e980f4c7d6b60d9174d8dd19 inherit pro_attribs_classflair_1_1sensor_1_1_camera"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae20e6de6e980f4c7d6b60d9174d8dd19"></a>
<a class="el" href="classflair_1_1core_1_1cvimage.html">core::cvimage</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>output</b></td></tr>
<tr class="separator:ae20e6de6e980f4c7d6b60d9174d8dd19 inherit pro_attribs_classflair_1_1sensor_1_1_camera"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for V4l camera. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ace224e60461a7c78ff7a7f16e43eaad3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::sensor::V4LCamera::V4LCamera </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>camera_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692f">core::cvimage::Type::Format</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>priority</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classflair_1_1sensor_1_1_camera.html" title="Base class for Camera. ">Camera</a>. It will be child of the FrameworkManager.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">camera_index</td><td>camera index </td></tr>
    <tr><td class="paramname">width</td><td>width </td></tr>
    <tr><td class="paramname">height</td><td>height </td></tr>
    <tr><td class="paramname">format</td><td>image format </td></tr>
    <tr><td class="paramname">priority</td><td>priority of the Thread </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a17dd62aecb525f68c0cfb4ae6e4d372a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::sensor::V4LCamera::~V4LCamera </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a29862113a1cf3095a15e8f86e28c4a9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetGain </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Gain. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6bd963d24efcd05a905cc801af8b91ae"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetAutoGain </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Auto Gain. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0cd0d589400e91a267e736577455a03f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetExposure </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Exposure. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1f98212da6124f4da644880fc0f6239a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetAutoExposure </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Auto Exposure. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af2108dc32fd988eb33bf8a28e1c5a843"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetBrightness </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Brightness. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a91421cc842452513bae3ef4530043d69"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetSaturation </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Saturation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7d8f738b2c011fb07a8b810358563613"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetHue </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Hue. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="add3527b969ba1fb04f6852538627a087"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::sensor::V4LCamera::SetContrast </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Contrast. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value between 0 and 1 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classflair_1_1sensor_1_1_v4_l_camera.html">V4LCamera</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
